Subject: Create an administration panel for the FLOW3 Development context
Description

We need some kind of admin panel which is (can be) displayed on the page rendered by FLOW3 and provides some useful
information to the developer. That could be:

    -  Information about caches, ability to flush certain caches
    -  Information about routing (which route matched etc.)
    -  Memory consumption / parse time
    -  Tail of certain logs ?

The graphical design and code architecture should allow for third party packages to plugin to the panel for providing custom
functionality.

Before this ticket can be close we need (solved in separate tickets - please create some):

    -  A UI concept and after that, an actual design
    -  A rough concept for the implementation
    -  The actual implementation

History
#1 - 2009-06-05 10:33 - Robert Lemke
- Target version set to 283

#2 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)

#3 - 2011-09-29 13:36 - Christopher Hlubek

We should also add security debugging information, since this is all very hidden right now.

The question is, if we also show this panel when an exception occured.

#4 - 2011-10-13 15:21 - Christian Müller

didn't see this ticket so created:
http://forge.typo3.org/issues/30890
with the ideas.
I would use Phoenix styles as first rough idea on design and try to prepare some mockups soon.
